//-------------------------------------------------------------------------
//  Copyright 2006, Infrant Technologies, Inc.
//  Copyright 2007, NETGEAR Inc.
//  All rights reserved.
//-------------------------------------------------------------------------

localizedString = new Array();

/* Get localized string */
function LS(key) { var ls = localizedString[key]; return ls ? ls : key; }
function WLS(key) { document.write(LS(key)); }

localizedString['Looking for ReadyNAS...'] =
		"Идет поиск устройств ReadyNAS...";

localizedString['Attention!'] = "Внимание!";
localizedString['ReadyNAS appliance to monitor:'] =
		"Мониторинг ReadyNAS устройства:";
localizedString['Status:'] = "Статус:";
localizedString['Empty drive slot'] = "Слот без диска";
localizedString['Fan: '] = "Кулер: ";
localizedString['Show first discovered ReadyNAS (default)'] =
		"Показывать первое найденное устройство";
localizedString['Repair the fan to avoid overheating.'] =
		"Для предупреждения перегрева необходимо заменить вентилятор";
localizedString['running too slow to be useful!'] =
		"крутится слишком медленно!";
localizedString['Thermometer reading is too high!'] =
		"Слишком высокая температура!";
localizedString['Thermometer reading is too low!'] =
		"Слишком низкая температура!";
localizedString['Switch off the device to avoid humidity buildup.'] =
		"Для предупреждения конденсации влаги, выключите устройство.";
localizedString['Volume 1'] = "Раздел 1";
localizedString['unknown capacity'] = "объём неизвестен";
localizedString['Drives'] = "Диски";

localizedString['Device is setting up...'] = "Устройство конфигурируется";
localizedString['Device requires setup:'] =
		"Необходима настройка:";
localizedString['Setup'] = "Настройка";

localizedString['ReadyNAS Volume Setup:'] = "Создание ReadyNAS раздела";
localizedString['Expandable Volume'] = "Расширяемый раздел";
localizedString['Flexible Volume'] = "Гибкая конфигурация раздела";
localizedString['CVUFS'] = "Создать раздел, используя оптимальный"
	+ " для уже установленных дисков уровень RAID 0, 1, 5";
localizedString['UXRAID'] = "Использовать X-RAID,"
	+ " упрощающий добавление дисков в будущем.";
localizedString['Reserve disk space for snapshots:'] =
		"Резервировать место для snapshots:";
localizedString['GB'] = "Гб";
localizedString['Create volume now'] = "Создать раздел";
localizedString['Cancel'] = "Отменить";
localizedString['Done'] = "Готово";
localizedString['Monitor'] = "Показать";
localizedString['AFP Acess'] = "Ресурсы AFP";
localizedString['Web Setup'] = "Настройки";

localizedString['Unreachable'] = "Не отвечает";
localizedString['(showing last known state)'] = 
		"(отображается последнее полученное состояние)";
localizedString[' is not responding. '] = " не отвечает. ";
localizedString['This might be a temporary network problem '
		+ 'or a serious issue with the ReadyNAS hardware. '] =
		"Это может быть вызвано как временной проблемой с сетью, " +
		"так и сбоем в работе ReadyNAS устройства. ";
localizedString['Look for other devices?'] = "Искать другие устройства?";
localizedString['Yes, find another device'] = "Да, найти другое устройство";
localizedString['No, just wait until it answers'] =
		"Нет, дождаться пока это ответит";

var KnownStatus = {
  'ok': { 'short': "В норме",
	'criticality': 'none',
	'desc': "Устройство работает нормально" },
  'resync':  { 'short': "Ожидание синхронизации",
	'criticality': 'temporary',
	'desc': "Ожидание синхронизации RAID раздела" },
  'warn': { 'short': "Приплохело",
	'criticality': 'vulnerable',
	'desc': "Устройство нуждается в инспекции" },
  'life_support': { 'short': "Поддержание жизни",
	'criticality': 'critical',
	'desc': "Обнаружено множество дисковых ошибок" },
  'awaiting_recovery': { 'short': "Ожидание восстановления",
	'criticality': 'critical',
	'desc': "Диск ожидает восстановления" },
  'spare_inactive': { 'short': "Неактивный запасной",
	'criticality': 'none',
	'desc': "Диск является неактивным запасным" },
  'not_present': { 'short': "Отсутствует",
	'criticality': 'none',
	'desc': "Устройство отсутствует" },
  'fail': { 'short': "Не работает",
	'criticality': 'fatal',
	'desc': "Устройство вышло из строя" },
  'dead': { 'short': "Не работает",
	'criticality': 'fatal',
	'desc': "Устройство вышло из строя" }
};

var CriticalityText = {
	'temporary': ' (может занять несколько часов)',
	'vulnerable': ' (примите меры, есть риск потерять данные)',
	'critical': ' (данные в опасности, немедленно примите меры!)',
	'fatal': '. Данные, вероятнее всего, уже пропали.',
	'none': ''
};

var CriticalityMap = {
	'': { '': 'Устройство работает неправильно' },
	'fan': {
		'': 'Проблема с вентилятором: '
		+ 'выключите ReadyNAS во избежание перегрева'
	},
	'temp': {
		'': 'Проблема с термометром: '
		+ 'выключите ReadyNAS во избежание перегрева'
	},
	'ups': {
		'': 'Исчезло основное питание. '
		+ 'Источник бесперебойного питания работает от батареи'
	},
	'volume': {
		'': 'Проблема с разделом: немедленно выключите ReadyNAS',
		'resync': 'KS',
		'warn': 'KS',
		'life_support': 'KS',
		'awaiting_recovery': 'KS',
		'spare_inactive': 'KS',
		'not_present': 'KS',
		'dead': 'KS'
	},
	'disk': {
		'': 'Проблема с диском: немедленно выключите ReadyNAS',
		'resync': 'KS',
		'warn': 'KS',
		'life_support': 'KS',
		'awaiting_recovery': 'KS',
		'spare_inactive': 'KS',
		'not_present': 'KS',
		'dead': 'KS'
	}
};

